Photon Bolt error with LobbyManager Script C#, Unity 2018.2

Hello, after importing the Bolt package I get this error in the LobbyManager script:

Assets/Bolt-Samples/LobbyManager/Scripts/Lobby/LobbyManager.cs(199,30): error CS0115: `Bolt.Samples.Photon.Lobby.LobbyManager.SessionCreatedOrUpdated(UdpKit.UdpSession)' is marked as an override but no suitable method found to override

Comments

  • Hello, after importing the Bolt package I get this error in the LobbyManager script:

    Assets/Bolt-Samples/LobbyManager/Scripts/Lobby/LobbyManager.cs(199,30): error CS0115: `Bolt.Samples.Photon.Lobby.LobbyManager.SessionCreatedOrUpdated(UdpKit.UdpSession)' is marked as an override but no suitable method found to override

    Sorted out!
    Due to some samples that I removed, it turned out that LobbyManager had the script affecting ...
    so I had to change between

    public overide void

    for:

    public virtual void

    I hope to help anyone with the same problem!
This discussion has been closed.